				История изменений FarColorer.
	Информацию, об изменениях в библиотеке схем (базах) смотрите в файле hrc\CHANGELOG

Версия 1.2.11.0 . 24.01.2019
	1. исправлено "Colorer падает при использовании фильтра меню в настройках схемы" https://bugs.farmanager.com/view.php?id=3698
	2. исправлено падение в настройках схемы при выборе параметра hotkey

Версия 1.2.10.1 . 24.01.2019
	1. уточнение 1.2.10.0

Версия 1.2.10.0 . 23.01.2019
	1. не работала фоновая раскраска файла

Версия 1.2.9.1 . 19.02.2017
	1. уточнение plugin.call:
	    - Plugin.Call("D2F36B62-A470-418D-83A3-ED7A3710E5B5","status"). Возвращаемое значение: true - плагин включен, false - выключен
	    - Plugin.Call("D2F36B62-A470-418D-83A3-ED7A3710E5B5","status", new_status). Перевод плагина в статус new_status.
            new_status - true/false, либо соответсвующее им целое значение.
            Возвращаемое значение true/false показывает успешность выполнения команды.

Версия 1.2.9.0 . 19.02.2017
	1. ошибка вызова plugin.call при не инициализированном плагине
	2. новые команды для plugin.call:
	    - Plugin.Call("D2F36B62-A470-418D-83A3-ED7A3710E5B5","status")  true - плагин включен, false - выключен
	    - Plugin.Call("D2F36B62-A470-418D-83A3-ED7A3710E5B5","enable")  включение плагина
	    - Plugin.Call("D2F36B62-A470-418D-83A3-ED7A3710E5B5","disable")  выключение плагина

Версия 1.2.8.1 . 12.06.2016
	1. очередная попытка поддержки winXp AMD. проверено на эмуляторе.

Версия 1.2.8.0 . 04.06.2016
	1. еще одна попытка поддержки winXp AMD

Версия 1.2.7.0 . 20.03.2016
	1. исправлен GUID меню в документации

Версия 1.2.6.0 . 13.02.2016
	1. поддержка winxp на amd процессорах

Версия 1.2.5.0 . 13.02.2016
	1. исправлена работа с схемами в папке auto под winxp

Версия 1.2.4.0 . 06.02.2016
	1. поддержка windows 2000. сборка в VC++ 2015

Версия 1.2.3.0 . 28.01.2016
	1. исправлен вызов меню выбора синтаксиса из макроса

Версия 1.2.2.5 . 24.01.2016
	1. борьба с утечками памяти

Версия 1.2.2.3/1.2.2.4 . 08.01.2016
	1. небольшая оптимизация обращения к строкам редактора.
	2. обновлена colorer_lib: рефакторинг
	3. рефакторинг плагина

Версия 1.2.2.2 . 06.01.2016
	1. исправлено: при первом использовании colorer в текущем экземпляре Far не происходила раскраска файла без дополнительеых событий.
	2. рефакторинг плагина

Версия 1.2.2.1 . 05.01.2016
	1. обновлена colorer_lib: рефакторинг, мелкие ошибки
	2. исправлена ошибка загрузки плагина при отсутствии указанного в настройках стиля
	3. рефакторинг плагина
	4. regexp: добавлена поддержка \l и \u в []

Версия 1.2.2.0 . 10.05.2015
	1. обновлена colorer_lib: рефакторинг, мелкие ошибки, новая версия парсера xml

Версия 1.2.1.9 . 24.01.2015
	1. исправлен вызов команд через макросы

Версия 1.2.1.8 . 17.01.2015
	1. исправлена фильтрация меню плагина в редакторе
	2. обновлена colorer_lib: рефакторинг, мелкие ошибки, новая версия парсера xml
	3. изменена логика сохранения настроек схем: при совпадении пользовательского значения с значением по умолчанию
    сохраняется пользовательское значение, а не как ранее - удалялось.

Версия 1.2.1.7 . 01.11.2014
	1. исправлено падение при закрытии фара
	2. исправлено падение при вызове макроса на событие EE_CLOSE (mantis #0002795) 
	3. сборка под Far3 build 4165 API

Версия 1.2.1.6 . 01.07.2014
	1. исправлено зацикливание при открытии редактора, после Far3 build 3968 (mantis #0002723) 

Версия 1.2.1.5 . 07.08.2013
	1. исправлено блокировка файла common.jar (и любого другого архива с схемами)

Версия 1.2.1.4 . 06.08.2013
	1. исправлено падение при попытке открыть несуществующий файл, указанный в настройках схемы
	2. добавлена возможность сборки плагина с помощью GCC

Версия 1.2.1.3 . 20.07.2013
	1. неверное возвращаемое значение при открытии файлов, приводящее к утечке памяти, и неверному позиционированию 
    при выходе из редактатирования файла, открытого в архиве.

Версия 1.2.1.2 . 20.06.2013
	1. исправлена перерисовка кнопок выбора hrd-стиля при изменении длины текста

Версия 1.2.1.1 . 17.06.2013
	1. исправлена загрузка пользовательских hrd-стилей
	2. добавлено логирование чтения пользовательских hrd-стилей

Версия 1.2.1.0 . 16.06.2013
	1. xml парсер библиотеки Colorer заменен на xerces-c. на текущий моменет полученные плюсы:
    - полная поддержка xml стандарта. но более строгий синтаксис - > и < в регулярных выражениях нужно заменять на &lg; и &lt;
    - возможность указания 16-ричных значений, например &#37; для символа %
    - поддержка относительных путей в entity разделе xml файла.  напрмиер для catalog.xml <!ENTITY hrc "&#37;FARHOME&#37;/Plugins/FarColorer/base/hrc"> 

Версия 1.1.2.1 . 26.05.2013
	1. добавлена возможность указания файла логирования в настройках плагина. Указание файла в catalog.xml игнорируется.

Версия 1.1.1.3 . 20.05.2013
	1. dlmalloc обновлен до 2.8.6
	2. zlib обновлен до 1.2.8

Версия 1.1.1.2 . 18.05.2013
	1. Исправлена сборка для поддержки Windows 2000

Версия 1.1.1.1 . 29.04.2013
	1. Плагин адаптирован под Far3 build 3371 API

Версия 1.1.1.0 . 26.02.2013
	1. В связи с включением плагина в дистрибутив Far, меняется нумерация версий. Текущая версия будет 1.1.1.0.
        При каждом изменении в плагине будет меняться Revision часть номера версии.
	2. Исправлена ошибка вызова плагина через Plugin.Call
	3. Исправлено отображение сообщения о загрузки схем при отключенном плагине
	4. Исправлена ошибка чтения сохраненных параметров
	5. в outline неправильно отрабатывали стрелки на цифровой панели при выключенном numlock
	6. добавлены настройки стиля креста для случая "[x] Показывать крест"
	7. при совпадении цвета креста (текст или фон, в зависимости от cross-zorder) и цвета текста/фона под ним,
        для креста подбирается альтернативный цвет. Только для консольных цветов.
	8. исправлена раскраска EOL
	9. правильная раскраска whitespace (меняем только фон, текст не красим) включается только в случае включения опции отображения
        whitespace в редакторе.

Версия 1.0.3.12 . 08.10.2012
	1. Плагин адаптирован под Far3 build 2876 API
	2. исправлена ошибка чтения настроек

Версия 1.0.3.11 . 26.09.2012
	1. Плагин адаптирован под Far3 build 2838 API
	2. Исправлена ошибка вставки текста по ctrl+Enter из outline
	
Версия 1.0.3.10 . 26.03.2012
	1. Плагин адаптирован под Far3 build 2573 API
	2. Выводим название текущего региона, а не родительского в меню "Данные региона" 

Версия 1.0.3.9 . 15.03.2012 
	1. В меню добавлен пункт вывода имени региона и схемы под курсором
	2. Испарвлено: после смены цветового стиля не происходило обновление экрана
	3. Реализован вызов плагина из макросов по callplugin

Версия 1.0.3.8 . 07.02.2012 
	1. Плагин адаптирован под Far3 build 2442 API

Версия 1.0.3.7 . 08.01.2012 
	1. совместимость с windows 2000 sp4

Версия 1.0.3.6 . 27.12.2011 
	1. исправлен ввод символов _ и ~ в outline
	2. при указании своего catalog.xml проверка наличия rgb стилей проверяется только 
	 при включенном режиме TrueMod

Версия 1.0.3.5 . 25.12.2011 
	1. Плагин адаптирован под Far3 build 2328 API
	2. Настройки сохраняются и читаются через Far API
	3. Плагин именуется FarColorer
	4. ошибки при работе с меню выбора типа файла
	5. работа с TrueMod Far3
	6. переменные окружения в путях до hrc файлов
	7. "крест" работает на темных схемах и в TrueMod
	8. на отображение "креста" не влияет присутствие символа табуляции.
	9. при отображении в редакторе символов пробела/табуляции им задавался 
	разный цвет
	10. если в сохраненных настройках установлен отсутствующий на момент загрузки цветовой стиль, то
	 вначале пытаемся загрузить стиль поумолчани (default), затем первый в списке.
	11. при смене типа файла не очищались списки функций и ошибок.

Версия 1.0.3.4 . 04.07.2011 
	1. откат "на некоторых схемах в far передавалась лишняя цветовая зона" - для схем типа php
	приводило к ошибкам раскраски 
	2. новое меню выбора типа файлов. теперь можно задавать горячие клавиши, список "Избранные".
	3. для параметра FullBack и всех системных параметров схем в списке выбора 
	значений отображались неверные значения для выбора.

Версия 1.0.3.3 . 30.06.2011 
	1. ошибка чтения настроек при заданном пути до catalog.xml

Версия 1.0.3.2 . 29.06.2011 
	1. на некоторых схемах в far передавалась лишняя цветовая зона
	2. при вставке текста из Outliner устанавливаем курсор на конец вставленного текста
	3. добавлена возможность использовать prototype с одинаковыми именами.
	т.е. теперь можно добавлять свои схемы для файлов, полностью заменяющие стандартные.

Версия 1.0.3.1 . 18.03.2011 
	1. Работа с очень длинными строками. Ранее падали или недокрашивали длинные строки.
	Если нужно ограничить длину строки для раскраски используйте параметр maxlinelength в настройках схем.
	2. оптимизации и борьба с утечками в библиотеке.

Версия 1.0.3.0 . 16.11.2010 
	1. Исправлено отображение неверного количества схем в меню выбора схем раскраски
	2. Исправлено раскраска текста только после нажатия клавиши при переходе в открытй 
	файл после перезагрузки базы
	3. Добавлена возможность указания файла со списком пользовательских схем
	4. Добавлена возможность указания файла со список пользовательских стилей раскраски
	5. Добавлен диалог настройки параметров схем. Настройки хранятся в реестре.
	6. Схемы и стили раскраски (базы) перенесены в подпапку base папки плагина. Поиск базы 
	осуществляется только в этой папке либо по пути, заданному в параметрах.

Версия 1.0.2.14 . 25.10.2010 
	1. косметика диалога настроек
		а. описание причины не включения TrueMod
		б. при вызове диалога из "Options -> Plugins configuration " checkbox 
		 для включения/отключения TrueMod всегда активен. Предполагается, что
		 системные настройки можно настраивать всегда, плюс ограничение в возможности
		 определения truemod не из редактора.
	2. падение плагина если не найден catalog.xml
	3. возможные падения из-за 1.0.2.10 пункт 2. 

Версия 1.0.2.13 . 18.10.2010 
	1. косметика диалога настроек
	2. некорректность цвета креста. 
	3. базы перегружались при каждом открытии редактора

Версия 1.0.2.12 . 15.10.2010 
	1. исправлены проблемы с раскраской блочных комментариев

Версия 1.0.2.11 . 14.10.2010 
	1. clr при включенном truemod работал некорректно

Версия 1.0.2.10 . 14.10.2010 
	1. ошибка clr - мусор в конце имени файла
	2. ошибка переполнения стека при раскраске очень длинной строки. 
	Экспериментально. При повторении просьба выслать тестовый файл.
	3. изменение цвета фона редактора в зависимости от цветовой схемы. на коротких
	файлах фон редактора становится одноцветным
	4. плагин работает как в консольном режиме, так и в truemod режиме
	   !!! крест и изменение цвета фона не работает в truemod
	5. переименованы файлы помощи и языковые файлы. 
	   !!!Старые нужно удалить

Версия 1.0.2.9 . 21.09.2010 
	1. ошибка переполнения стека при закрытии редактора 
	2. clr работает с файлами в локальной сети

Версия 1.0.2.8 . 01.09.2010 
	1. избавляемся от хака для быстрого получения строк из редактора
	2. ошибка доступа к памяти при вызове clr

Версия 1.0.2.7 . 15.07.2010
	1. исправлена ошибка ввода цифр в фильтр окна Outliner
	2. ошибка доступа к памяти при работе через clr
	3. не посылаем лишний раз ECTL_REDRAW
	4. инициализация главной части плагина только в редакторе или в диалоге настроек

Версия 1.0.2.6 . 15.04.2010
	1. окно Outliner в фильтр принимает цифры с цифровой клавиатуры и ~
	2. исправлена ошибка работы "креста" при выборе типа раскраски

Версия 1.0.2.5 . 06.03.2010
	1. Переделано хранение настроек в реестре. Убрано отрицание в имени параметра.
		Рекоменду очистить ключ реестра сolorer.
	2. Исправлены проблемы прорисовки.
	3. При отключении плагина, "убирание за собой" происходит во всех открытых редакторах.
	4. Из диалога настроек убрана кнопка "Тест catalog.xml". При сохранении настроек (нажатии "Ок")
	 происходит	проверка чтения catalog.xml.
	5. Исправлена ошибка работы с регионами с номером больше 9. Наглядный и единственный пример схема assa.hrc
	6. При поиске файла catalog.xml генерировалось много exception

Версия 1.0.2.4 . 04.02.2010
	1. увеличена скорость работы плагина
	2. меню "Список функций"
		а) комбинация Ctrl-Enter вставляла в редактор текст в иероглифах ( неверная кодировка)
		б) нормально вводяться в фильтр клавиши ":;-_"
	3. Поправлен порядок поиск catalog.xml 
	4. Обновлен файл справки и языковые файлы

Версия 1.0.2.3 . 15.01.2010
	1. Исправлено падение плагина на диалоге настройки
	2. Расширен диалог настройки плагина, и ширина поля для ввода пути к catalog.xml
	3. Обновлен файл справки и языковые файлы.

Версия 1.0.2.2 . 13.01.2010
	1. Команда clr понимает относительные и длинные пути. А также пути 
    содержащие переменные окружения.
	2. В настройках в пути до catalog.xml можно указывать переменные окружения.
    Например %programfiles%\far2\plugins\colorer\catalog.xml
	3. Поиск catalog.xml происходил не в том порядке, что указан был в хелпе.
	4. Поправил CreateConsoleScreenBuffer - разрешил чтение/запись в консоль
	5. Переделан диалог настройки плагина
   а) если плагин отключен, то при загрузке имя цветового стиля пишется без описания.
   б) "Тест catalog.xml" тестирует возможность загрузки базового файла настроек 
    catalog.xml, списка языковых схем и цветовых стилей, беря путь до него из окна 
    настроек. При ошибке загрузки плагин не отключается.
   в) "Тест библиотеки схем" тестирует возможность загрузки всех языковых схем, 
    беря путь до catalog.xml из окна настроек.
   г) убран параметр "Время до показа диалога отмены", т.к. фактически уже давно не 
    используется.
	6. В меню плагина добавлен пункт "Перезагрузить библиотеку схем". При нажатии на него
    плагин перечитывает настройки из реестра, а также библиотеку схем.
	7. исправлена утечка памяти при работе с поврежденной библиотекой схем
	8. мелкие оптимизации.
	9. Обновлен файл справки и языковые файлы.

Версия 1.0.2.1 . 23.12.2009
	1. версия для far 1.75 . Приведена к возможностям плагина под far2, 
    кроме относительных путей
	2. в версии для far 2 исправлена небольшая ошибка чтения данных из реестра
	3. обновлены схемы (базы раскраски)
	4. измениния в языковых файлах и файлах помощи

Версия 1.0.2 . 04.12.2009
	1. восстановлена работоспособность опции "Крест"
	2. изменено значение опции "Крест".
		[ ] Не показывать никогда
		[?] Показывать если включено в схеме
		[x] Показывать всегда
	3. поправлены языковые файлы, и файлы помощи
	4. команда clr поддерживает относительные пути.
	5. некоторые мелкие баги

Версия 1.0.1.6 . 19.11.2009
	0. изменена нумерация версий
	1. Исправлена совместимость Colorer и Far2
	2. убраны утечки памяти
	3. обновлены базы раскраски файлов (hrc)
	4. и другие мелочи....

Colorer-take5 be five Library.  . 23.11.2006
......